#
# spec file for package libcue
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libcue
%define lname	libcue1
Version:        1.4.0
Release:        11.5
Summary:        CUE sheet parsing library
License:        GPL-2.0
Group:          Development/Libraries/C and C++
Url:            http://sf.net/projects/libcue/

Source:         http://downloads.sf.net/libcue/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libtool
BuildRequires:  pkg-config

%description
libcue parses so-called cue sheets from a char string or a FILE
pointer. This project is meant as a fork of (defunct) cuetools.

%package -n %lname
Summary:        CUE sheet parsing library
Group:          System/Libraries

%description -n %lname
libcue parses so-called cue sheets from a char string or a FILE
pointer. This project is meant as a fork of (defunct) cuetools.

%package devel
Summary:        Development files for libcue, a CUE sheet parsing library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libcue parses so-called cue sheets from a char string or a FILE
pointer. This project is meant as a fork of (defunct) cuetools.

This package contains the development library symlink and header
files.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags};

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la;

%check
make check %{?_smp_mflags};

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libcue.so.1*

%files devel
%defattr(-,root,root)
%_includedir/libcue*/
%_libdir/libcue.so
%_libdir/pkgconfig/*.pc

%changelog
* Sun Oct  5 2014 jengelh@inai.de
- Use Source URLs; improve RPM group classification
* Sat Jan 21 2012 jengelh@medozas.de
- Initial package for build.opensuse.org
